libpagemaker::PMDXForm Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDXForm Struct Reference

`#include <geometry.h>`

## Public Member Functions
| PMDXForm (const uint32_t rotationDegree, const uint32_t skewDegree, const PMDShapePoint xformTopLeft, const PMDShapePoint xformBotRight, const PMDShapePoint rotatingPoint, const uint32_t xformId)

## Public Attributes
uint32_t | m_rotationDegree
uint32_t | m_skewDegree
PMDShapePoint | m_xformTopLeft
PMDShapePoint | m_xformBotRight
PMDShapePoint | m_rotatingPoint
uint32_t | m_xformId

## Constructor & Destructor Documentation

libpagemaker::PMDXForm::PMDXForm | ( | const uint32_t | rotationDegree,
|  | const uint32_t | skewDegree,
|  | const PMDShapePoint | xformTopLeft,
|  | const PMDShapePoint | xformBotRight,
|  | const PMDShapePoint | rotatingPoint,
|  | const uint32_t | xformId
| ) |  |
| inline

## Member Data Documentation

PMDShapePoint libpagemaker::PMDXForm::m_rotatingPoint

Referenced by libpagemaker::PMDPolygon::getRotatingPoint(), libpagemaker::PMDTextBox::getRotatingPoint(), libpagemaker::PMDRectangle::getRotatingPoint(), libpagemaker::PMDEllipse::getRotatingPoint(), and libpagemaker::PMDBitmap::getRotatingPoint().

uint32_t libpagemaker::PMDXForm::m_rotationDegree

Referenced by libpagemaker::PMDPolygon::getRotation(), libpagemaker::PMDTextBox::getRotation(), libpagemaker::PMDRectangle::getRotation(), libpagemaker::PMDEllipse::getRotation(), and libpagemaker::PMDBitmap::getRotation().

uint32_t libpagemaker::PMDXForm::m_skewDegree

Referenced by libpagemaker::PMDPolygon::getSkew(), libpagemaker::PMDTextBox::getSkew(), libpagemaker::PMDRectangle::getSkew(), libpagemaker::PMDEllipse::getSkew(), and libpagemaker::PMDBitmap::getSkew().

PMDShapePoint libpagemaker::PMDXForm::m_xformBotRight

Referenced by libpagemaker::PMDPolygon::getXformBotRight(), libpagemaker::PMDTextBox::getXformBotRight(), libpagemaker::PMDRectangle::getXformBotRight(), libpagemaker::PMDEllipse::getXformBotRight(), and libpagemaker::PMDBitmap::getXformBotRight().

uint32_t libpagemaker::PMDXForm::m_xformId

PMDShapePoint libpagemaker::PMDXForm::m_xformTopLeft

Referenced by libpagemaker::PMDPolygon::getXformTopLeft(), libpagemaker::PMDTextBox::getXformTopLeft(), libpagemaker::PMDRectangle::getXformTopLeft(), libpagemaker::PMDEllipse::getXformTopLeft(), and libpagemaker::PMDBitmap::getXformTopLeft().

The documentation for this struct was generated from the following file:

- geometry.h